Summary:	Speedtest - test your internet bandwidth
Summary(de): Speedtest - testet deine Internet-Bandbreite

Name:		speedtest
Version:	0.3.6
Release:	%mkrel 1
URL:		https://raw.github.com/sivel/speedtest-cli
Group:		Networking/Other
License:	Apache/GPLv3+
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   python
Requires:   yad 
Requires:   python-requests
Obsoletes:	%name < %version

%description
Speedtest gui to test your internet bandwidth using speedtest.net

%description -l de
Speedtest GUI testet deine Internet-Bandbreite über speedtest.net

%prep

%setup -q

%build

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Internet-Other" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING
%_bindir/%{name}
%_bindir/%{name}-cli
%_iconsdir/hicolor/*/apps/*.svg
%_datadir/applications/%{name}.desktop

%changelog
* Wed Dec 27 2017 Ken <lxgator at gmail.com> 0.3.6-1pclos2018
- update version

* Wed Jun 21 2017 Ken <lxgator at gmail.com> 0.3.5-1pclos2017
- update version

* Sun Mar 06 2016 Ken <lxgator at gmail.com> 0.3.4-1pclos2016
- Create pkg

